#include<iostream>

using namespace std;

int main(){
	int n;
	cin >> n;
	int x[n], y[n];
	for(int i=0 ; i<n ; i++){
		cin >> x[i];
		cin >> y[i];
	}
	
	for(int i=0 ; i<n ; i++){
		int s = 0;
		if(i == 0){
			cout << "0";
			continue;
		}
		int minx = x[0], miny = y[0];
		for(int j=0 ; j<=i ; j++){
			if(minx > x[j])
				minx = x[j];
			if(miny > y[j])
				miny = y[j];
		}
		for(int j=0 ; j<=i ; j++)
			s = s + abs((x[j] - minx)) * abs((y[j] - miny));
		cout << "\n" << s;
	}
}